iOS高德地图SDK(3D) V11.2.0001

Public Types | Instance Methods | Properties | List of all members
MAMapSnapshot Class Reference

`#import <MAMapSnapshot.h>`

Inheritance diagram for MAMapSnapshot:

## Public Types
typedef void(^ | CaptureResultBlock) (NSArray< MAMapSnapshotModel * > *resultImages, NSInteger state)
| 异步在指定区域内截图(默认会包含该区域内的annotationView), 地图载入完整时回调 Asynchronously capture a screenshot within the specified area (by default, it will include the annotationView within that area), callback when the map is fully loaded More...
typedef void(^ | Observer) (UIImage *resultImage, NSInteger state)
| 异步在指定区域内截图(默认会包含该区域内的annotationView), 地图载入完整时回调 Asynchronously capture a screenshot within the specified area (by default, it will include the annotationView within that area), callback when the map is fully loaded More...

## Instance Methods
(instancetype) | - init:
(BOOL) | - captureBigPicture:topLeft:topRight:complete:
(BOOL) | - capture:topLeft:topRight:complete:

## Properties
CGSize | minSize
CGSize | maxSize

## Member Typedef Documentation

## ◆ CaptureResultBlock

- (typedef void(^ CaptureResultBlock) (NSArray< MAMapSnapshotModel * > *resultImages, NSInteger state))

异步在指定区域内截图(默认会包含该区域内的annotationView), 地图载入完整时回调 Asynchronously capture a screenshot within the specified area (by default, it will include the annotationView within that area), callback when the map is fully loaded

Parameters

  size | 指定的区域 The specified area
  tl | 左上 Top left
  tr | 右上 Top right
  block | 回调block(resultImages:返回的图片集合,state：0载入不完整，1完整） Callback block(resultImages: returned image collection, state: 0 incomplete loading, 1 complete)

## ◆ Observer

- (typedef void(^ Observer) (UIImage *resultImage, NSInteger state))

异步在指定区域内截图(默认会包含该区域内的annotationView), 地图载入完整时回调 Asynchronously capture a screenshot within the specified area (by default, it will include the annotationView within that area), callback when the map is fully loaded

Parameters

  size | 指定的区域 The specified area
  tl | 左上 Top left
  tr | 右上 Top right
  block | 回调block(resultImage:返回的图片,state：0载入不完整，1完整） Callback block(resultImage: returned image, state: 0 incomplete loading, 1 complete)

## Method Documentation

## ◆ capture:topLeft:topRight:complete:

- (BOOL) capture: |  | (CGSize) | size
topLeft: |  | (CLLocationCoordinate2D) | tl
topRight: |  | (CLLocationCoordinate2D) | tr
complete: |  | (Observer) | block

## ◆ captureBigPicture:topLeft:topRight:complete:

- (BOOL) captureBigPicture: |  | (CGSize) | pixelSize
topLeft: |  | (CLLocationCoordinate2D) | tl
topRight: |  | (CLLocationCoordinate2D) | tr
complete: |  | (CaptureResultBlock) | block

## ◆ init:

- (instancetype) init: |  | (MAMapView *) | mapview |

## Property Documentation

## ◆ maxSize

- (CGSize) maxSize
| read nonatomic assign

## ◆ minSize

- (CGSize) minSize
| read nonatomic assign

The documentation for this class was generated from the following file:

- MAMapSnapshot.h

© 2017 高德信息技术有限公司 版权所有，保留所有权利。